Summary:	The GNU version of the awk text processing utility
Name:		gawk
Version:	4.0.1
Release:	2
License:	GPLv3+
Group:		Text tools
URL:		http://www.gnu.org/software/gawk/gawk.html
Source0:	http://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.xz
Source1:	http://ftp.gnu.org/gnu/gawk/%{name}-3.1.6-ps.tar.gz
Provides:	awk
Provides:	/usr/bin/awk
BuildRequires:	byacc
BuildRequires:	gettext-devel
BuildRequires:	libsigsegv-devel >= 2.8

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%package	doc
Summary:	Documentation about the GNU version of the awk text processing utility
Group:		Books/Computer books

%description	doc
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

%prep
%setup -q -b 1
mv ../%{name}-3.1.6/doc/*.ps doc
rm -rf ../%{name}-3.1.6

%build
%configure2_5x \
	--with-libsigsegv-prefix=%{_prefix} \
	--disable-rpath

%make

%check
make check

%install
%makeinstall_std  bindir=/bin
%find_lang %{name}

mkdir -p %{buildroot}%{_bindir}
cd %{buildroot}%{_datadir}
mkdir awk && for i in *.awk;do
  mv $i awk
done
cd %{buildroot}%{_mandir}/man1
ln -s gawk.1 awk.1
cd %{buildroot}%{_bindir}
ln -s ../../bin/awk %{buildroot}%{_bindir}/awk
ln -s ../../bin/gawk %{buildroot}%{_bindir}/gawk
mv %{buildroot}/bin/pgawk %{buildroot}%{_bindir}
rm %{buildroot}/bin/pgawk-%{version}
rm %{buildroot}/bin/gawk-%{version}

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) /bin/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*
%{_libdir}/awk
%{_datadir}/awk

%files doc
%defattr(-,root,root)
%doc README FUTURES INSTALL LIMITATIONS NEWS
%doc README_d POSIX.STD doc/*.ps


%changelog
* Tue May 08 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 4.0.1-2
+ Revision: 797581
- ditch deprecated buildroot cleaning
- add an explicit file provides on /usr/bin/awk

* Thu Mar 29 2012 Bernhard Rosenkraenzer <bero@bero.eu> 4.0.1-1
+ Revision: 788145
- 4.0.1
- Fix build in current environment

* Fri Oct 07 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.0.0-1
+ Revision: 703540
- update to new version 4.0.0
- drop all patches
- nuke rpath
- do not run autoreconf it is useless
- do not use make macro in check section

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 3.1.8-2
+ Revision: 664809
- mass rebuild

* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 3.1.8-1mdv2011.0
+ Revision: 553882
- new version 3.1.8

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3.1.7-2mdv2010.1
+ Revision: 519777
- link against system libsigsegv
- don't package the binary twice
- rebuild

  + Funda Wang <fwang@mandriva.org>
    - bundled sigserv used

* Sun Jul 26 2009 Funda Wang <fwang@mandriva.org> 3.1.7-1mdv2010.0
+ Revision: 400174
- new version 3.1.7

* Wed Mar 25 2009 Gustavo De Nardin <gustavodn@mandriva.com> 3.1.6-4mdv2009.1
+ Revision: 361145
- fixed awk.1 manpage symlink
- removed -f from some package building commands, to catch problems and changes

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 3.1.6-3mdv2009.1
+ Revision: 316585
- rediffed one fuzzy patch

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 3.1.6-2mdv2009.0
+ Revision: 264523
- rebuild early 2009.0 package (before pixel changes)

* Wed May 07 2008 Funda Wang <fwang@mandriva.org> 3.1.6-1mdv2009.0
+ Revision: 202722
- New version 3.1.6
- drop unneeded patch

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 3.1.5-4mdv2008.1
+ Revision: 150092
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot


* Mon Feb 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.1.5-3mdv2007.0
+ Revision: 119957
- Import gawk

* Tue Jan 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.1.5-2mdk
- Update Requires
- Patch 1: awk was segfaulting when opening a non-existent file

* Thu Oct 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.1.5-1mdk
- 3.1.5
- Remove patch 1, no longer necessary
- Remove patches 2, 3 and 4, merged upstream

* Mon Jan 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.4-1mdk
- sync with fedora
- fix summary-ended-with-dot

* Fri Jun 11 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.1.3-3mdk
- really fix buildrequires

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.3-2mdk
- fix buildrequires

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.3-1mdk
- 3.1.3
- drop P0-P3
- sync with fedora:
	o patches P5-P9 fixes from gawk mailinglist
	o P10 fixes getpgrp_void problem (rh #114246)
- spec cosmetics

